%define upstream_name XML_Tree
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.0
Release:     	%mkrel 10
Summary:    	Represent XML data in a tree structure
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/XML_Tree-%{version}RC3.tgz
URL: 		https://pear.php.net/package/XML_Tree
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-XML_Parser >= 1.1.0
Requires:	php-pear >= 1.4.7
BuildArch: 	noarch
Epoch:		1

%description
Allows for the building of XML data structures using a tree
representation, without the need for an extension like DOMXML.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_Tree.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Tree.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Tree
fi

%files
%doc docs/XML_Tree/*
%{peardir}/*
%{xmldir}/XML_Tree.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1:2.0.0-10.mga10
+ Revision: 2216235
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1:2.0.0-9.mga9
+ Revision: 1818280
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:2.0.0-8.mga8
+ Revision: 1499241
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:2.0.0-7.mga7
+ Revision: 1274170
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1:2.0.0-6.mga6
+ Revision: 943431
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.0-5.mga5
+ Revision: 742668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.0-4.mga5
+ Revision: 687523
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:2.0.0-3.mga4
+ Revision: 517335
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.0-2.mga3
+ Revision: 377469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1:2.0.0-1.mga3
+ Revision: 275579
- bumped to released

* Thu Jan 26 2012 spuhler <spuhler> 2.0.0RC3-2.mga2
+ Revision: 201684
+ rebuild (emptylog)

* Thu Jan 12 2012 spuhler <spuhler> 2.0.0RC3-1.mga2
+ Revision: 195183
- upgrade to RC3
  pearized spec

* Sun Jan 30 2011 spuhler <spuhler> 2.0.0-13.mga1
+ Revision: 44472
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_Tree


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-13mdv2011.0
+ Revision: 613800
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-12mdv2010.1
+ Revision: 464969
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.0.0-11mdv2010.0
+ Revision: 441768
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-10mdv2009.1
+ Revision: 322992
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-9mdv2009.0
+ Revision: 237172
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-8mdv2007.0
+ Revision: 82946
- Import php-pear-XML_Tree

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-8mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1mdk
- initial Mandriva package (PLD import)

